import { PropType } from 'vue';
import { default as TableOptionItem } from './TableOptionItem';
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: true;
    };
    /**
     * What can be done with the selected entities. e.g. Delete. Title of the button callback when clicking it.
     * As paramater comes an array with the values from entityIdentifierKey for the selected entities
     */
    options: {
        type: PropType<TableOptionItem[]>;
        required: true;
    };
    selectedIds: {
        type: PropType<any>;
        required: true;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
}>, {
    textDialog: import('vue').Ref<string, string>;
    titleDialog: import('vue').Ref<string, string>;
    doButtonTextConfirmDialog: import('vue').Ref<string, string>;
    showDialog: import('vue').Ref<boolean, boolean>;
    dialogHandler: (option: TableOptionItem) => void;
    execCallback: () => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, "callback-executed"[], "callback-executed", import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: true;
    };
    /**
     * What can be done with the selected entities. e.g. Delete. Title of the button callback when clicking it.
     * As paramater comes an array with the values from entityIdentifierKey for the selected entities
     */
    options: {
        type: PropType<TableOptionItem[]>;
        required: true;
    };
    selectedIds: {
        type: PropType<any>;
        required: true;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Readonly<{
    "onCallback-executed"?: ((...args: any[]) => any) | undefined;
}>, {
    disabled: boolean;
}, {}, {
    SmallDeleteButton: {
        new (...args: any[]): import('vue').CreateComponentPublicInstanceWithMixins<Readonly<import('vue').ExtractPropTypes<{
            id: {
                type: StringConstructor;
                required: true;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            circular: {
                type: BooleanConstructor;
                default: boolean;
            };
            isSubmit: {
                type: BooleanConstructor;
                default: boolean;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps & Readonly<import('vue').ExtractPropTypes<{
            id: {
                type: StringConstructor;
                required: true;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            circular: {
                type: BooleanConstructor;
                default: boolean;
            };
            isSubmit: {
                type: BooleanConstructor;
                default: boolean;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {
            icon: string;
            isSubmit: boolean;
            loading: boolean;
            disabled: boolean;
            circular: boolean;
        }, true, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, any, import('vue').ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import('vue').ExtractPropTypes<{
            id: {
                type: StringConstructor;
                required: true;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            circular: {
                type: BooleanConstructor;
                default: boolean;
            };
            isSubmit: {
                type: BooleanConstructor;
                default: boolean;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {}, {}, {}, {}, {
            icon: string;
            isSubmit: boolean;
            loading: boolean;
            disabled: boolean;
            circular: boolean;
        }>;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import('vue').ComponentOptionsBase<Readonly<import('vue').ExtractPropTypes<{
        id: {
            type: StringConstructor;
            required: true;
        };
        icon: {
            type: StringConstructor;
            default: string;
        };
        circular: {
            type: BooleanConstructor;
            default: boolean;
        };
        isSubmit: {
            type: BooleanConstructor;
            default: boolean;
        };
        loading: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, {
        icon: string;
        isSubmit: boolean;
        loading: boolean;
        disabled: boolean;
        circular: boolean;
    }, {}, string, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, import('vue').ComponentProvideOptions> & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps & (new () => {
        $slots: {
            default?(_: {}): any;
        };
    });
    SmallPrimaryButton: {
        new (...args: any[]): import('vue').CreateComponentPublicInstanceWithMixins<Readonly<import('vue').ExtractPropTypes<{
            id: {
                type: StringConstructor;
                required: true;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            circular: {
                type: BooleanConstructor;
                default: boolean;
            };
            isSubmit: {
                type: BooleanConstructor;
                default: boolean;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps & Readonly<import('vue').ExtractPropTypes<{
            id: {
                type: StringConstructor;
                required: true;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            circular: {
                type: BooleanConstructor;
                default: boolean;
            };
            isSubmit: {
                type: BooleanConstructor;
                default: boolean;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {
            icon: string;
            isSubmit: boolean;
            loading: boolean;
            disabled: boolean;
            circular: boolean;
        }, true, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, any, import('vue').ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import('vue').ExtractPropTypes<{
            id: {
                type: StringConstructor;
                required: true;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            circular: {
                type: BooleanConstructor;
                default: boolean;
            };
            isSubmit: {
                type: BooleanConstructor;
                default: boolean;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {}, {}, {}, {}, {
            icon: string;
            isSubmit: boolean;
            loading: boolean;
            disabled: boolean;
            circular: boolean;
        }>;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import('vue').ComponentOptionsBase<Readonly<import('vue').ExtractPropTypes<{
        id: {
            type: StringConstructor;
            required: true;
        };
        icon: {
            type: StringConstructor;
            default: string;
        };
        circular: {
            type: BooleanConstructor;
            default: boolean;
        };
        isSubmit: {
            type: BooleanConstructor;
            default: boolean;
        };
        loading: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, {
        icon: string;
        isSubmit: boolean;
        loading: boolean;
        disabled: boolean;
        circular: boolean;
    }, {}, string, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, import('vue').ComponentProvideOptions> & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps & (new () => {
        $slots: {
            default?(_: {}): any;
        };
    });
    SmallButton: {
        new (...args: any[]): import('vue').CreateComponentPublicInstanceWithMixins<Readonly<import('vue').ExtractPropTypes<{
            id: {
                type: StringConstructor;
                required: true;
            };
            type: {
                type: PropType<"primary" | "secondary" | "tertiary">;
                default: string;
            };
            paddingX: {
                type: StringConstructor;
                default: string;
            };
            flavor: {
                type: PropType<"base" | "branded" | "risky" | "boomi-ai" | "periwinkle">;
                default: string;
            };
            circular: {
                type: BooleanConstructor;
                default: boolean;
            };
            title: {
                type: StringConstructor;
                default: string;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            isSubmit: {
                type: BooleanConstructor;
                default: boolean;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps & Readonly<import('vue').ExtractPropTypes<{
            id: {
                type: StringConstructor;
                required: true;
            };
            type: {
                type: PropType<"primary" | "secondary" | "tertiary">;
                default: string;
            };
            paddingX: {
                type: StringConstructor;
                default: string;
            };
            flavor: {
                type: PropType<"base" | "branded" | "risky" | "boomi-ai" | "periwinkle">;
                default: string;
            };
            circular: {
                type: BooleanConstructor;
                default: boolean;
            };
            title: {
                type: StringConstructor;
                default: string;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            isSubmit: {
                type: BooleanConstructor;
                default: boolean;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {
            title: string;
            type: "primary" | "secondary" | "tertiary";
            paddingX: string;
            flavor: "base" | "branded" | "risky" | "boomi-ai" | "periwinkle";
            icon: string;
            isSubmit: boolean;
            loading: boolean;
            disabled: boolean;
            circular: boolean;
        }, true, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, any, import('vue').ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import('vue').ExtractPropTypes<{
            id: {
                type: StringConstructor;
                required: true;
            };
            type: {
                type: PropType<"primary" | "secondary" | "tertiary">;
                default: string;
            };
            paddingX: {
                type: StringConstructor;
                default: string;
            };
            flavor: {
                type: PropType<"base" | "branded" | "risky" | "boomi-ai" | "periwinkle">;
                default: string;
            };
            circular: {
                type: BooleanConstructor;
                default: boolean;
            };
            title: {
                type: StringConstructor;
                default: string;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            isSubmit: {
                type: BooleanConstructor;
                default: boolean;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {}, {}, {}, {}, {
            title: string;
            type: "primary" | "secondary" | "tertiary";
            paddingX: string;
            flavor: "base" | "branded" | "risky" | "boomi-ai" | "periwinkle";
            icon: string;
            isSubmit: boolean;
            loading: boolean;
            disabled: boolean;
            circular: boolean;
        }>;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import('vue').ComponentOptionsBase<Readonly<import('vue').ExtractPropTypes<{
        id: {
            type: StringConstructor;
            required: true;
        };
        type: {
            type: PropType<"primary" | "secondary" | "tertiary">;
            default: string;
        };
        paddingX: {
            type: StringConstructor;
            default: string;
        };
        flavor: {
            type: PropType<"base" | "branded" | "risky" | "boomi-ai" | "periwinkle">;
            default: string;
        };
        circular: {
            type: BooleanConstructor;
            default: boolean;
        };
        title: {
            type: StringConstructor;
            default: string;
        };
        icon: {
            type: StringConstructor;
            default: string;
        };
        isSubmit: {
            type: BooleanConstructor;
            default: boolean;
        };
        loading: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, {
        title: string;
        type: "primary" | "secondary" | "tertiary";
        paddingX: string;
        flavor: "base" | "branded" | "risky" | "boomi-ai" | "periwinkle";
        icon: string;
        isSubmit: boolean;
        loading: boolean;
        disabled: boolean;
        circular: boolean;
    }, {}, string, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, import('vue').ComponentProvideOptions> & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps & (new () => {
        $slots: {
            default?(_: {}): any;
        };
    });
    DangerDialog: {
        new (...args: any[]): import('vue').CreateComponentPublicInstanceWithMixins<Readonly<import('vue').ExtractPropTypes<{
            id: {
                type: StringConstructor;
                required: true;
            };
            title: {
                type: StringConstructor;
                default: string;
            };
            buttonCloseText: {
                type: StringConstructor;
                default: string;
            };
            buttonDoText: {
                type: StringConstructor;
                default: string;
            };
        }>> & Readonly<{
            "onClose-dialog"?: ((...args: any[]) => any) | undefined;
            "onDo-it"?: ((...args: any[]) => any) | undefined;
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            "close-dialog": (...args: any[]) => void;
            "do-it": (...args: any[]) => void;
        }, import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps & Readonly<import('vue').ExtractPropTypes<{
            id: {
                type: StringConstructor;
                required: true;
            };
            title: {
                type: StringConstructor;
                default: string;
            };
            buttonCloseText: {
                type: StringConstructor;
                default: string;
            };
            buttonDoText: {
                type: StringConstructor;
                default: string;
            };
        }>> & Readonly<{
            "onClose-dialog"?: ((...args: any[]) => any) | undefined;
            "onDo-it"?: ((...args: any[]) => any) | undefined;
        }>, {
            title: string;
            buttonCloseText: string;
            buttonDoText: string;
        }, true, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, any, import('vue').ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import('vue').ExtractPropTypes<{
            id: {
                type: StringConstructor;
                required: true;
            };
            title: {
                type: StringConstructor;
                default: string;
            };
            buttonCloseText: {
                type: StringConstructor;
                default: string;
            };
            buttonDoText: {
                type: StringConstructor;
                default: string;
            };
        }>> & Readonly<{
            "onClose-dialog"?: ((...args: any[]) => any) | undefined;
            "onDo-it"?: ((...args: any[]) => any) | undefined;
        }>, {}, {}, {}, {}, {
            title: string;
            buttonCloseText: string;
            buttonDoText: string;
        }>;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import('vue').ComponentOptionsBase<Readonly<import('vue').ExtractPropTypes<{
        id: {
            type: StringConstructor;
            required: true;
        };
        title: {
            type: StringConstructor;
            default: string;
        };
        buttonCloseText: {
            type: StringConstructor;
            default: string;
        };
        buttonDoText: {
            type: StringConstructor;
            default: string;
        };
    }>> & Readonly<{
        "onClose-dialog"?: ((...args: any[]) => any) | undefined;
        "onDo-it"?: ((...args: any[]) => any) | undefined;
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        "close-dialog": (...args: any[]) => void;
        "do-it": (...args: any[]) => void;
    }, string, {
        title: string;
        buttonCloseText: string;
        buttonDoText: string;
    }, {}, string, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, import('vue').ComponentProvideOptions> & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps & (new () => {
        $slots: {
            default?(_: {}): any;
        };
    });
}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
